---

#! /db/releases/20250310174709/lkp-src/jobs/kernel-selftests-sgx.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_memory: 3G
kernel-selftests:
  group: sgx
job_origin: kernel-selftests-sgx.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-cfl-e1
tbox_group: lkp-cfl-e1
job_file: "/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-sgx-debian-12-x86_64-20240206.cgz-47b2b7ca1ce4-20250312-42044-1vmj20d-1.yaml"
id: f3a97346626abe2752365de0ee5b37bfa1b1ba9b
queuer_version: "/zday/lkp"

#! /db/releases/20250310174709/lkp-src/hosts/lkp-cfl-e1
model: Coffee Lake-E
nr_node: 1
nr_cpu: 16
memory: 32G
nr_hdd_partitions: 1
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part2"
swap_partitions: LABEL=SWAP
rootfs_partition: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part1"
brand: Intel(R) Xeon(R) E-2278G CPU @ 3.40GHz
ucode: '0xfa'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- IGB: "y"
- SATA_AHCI

#! /db/releases/20250310174709/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20250310174709/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20250310174709/lkp-src/include/queue/cyclic
commit: 47b2b7ca1ce4d1dbbaae0334436869c9e987d03c

#! /db/releases/20250310174709/lkp-src/programs/kernel-selftests/include
need_kernel_version:
need_kconfig:
- BLOCK: "y"
- BTRFS_FS: m
- FTRACE: "y"
- IP_ADVANCED_ROUTER: "y"
- IP_MULTIPLE_TABLES: "y"
- RC_CORE
- RC_DECODERS: "y"
- RC_DEVICES: "y"
- RC_LOOPBACK: m
- RUNTIME_TESTING_MENU: "y"
- STAGING: "y"
- SYNC_FILE: "y"
- TEST_FIRMWARE: m
- TEST_KMOD: m
- TEST_LKM: m
- TEST_USER_COPY: m
- TUN: m
- XFS_FS: m
- OVERLAY_FS
- PERF_EVENTS: "y"
- SCHED_DEBUG: "y"
- SHMEM: "y"
- TMPFS: "y"
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-9.4-kselftests
enqueue_time: 2025-03-12 01:20:16.403173856 +08:00
_rt: "/result/kernel-selftests/sgx/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/47b2b7ca1ce4d1dbbaae0334436869c9e987d03c"
compiler: gcc-12
head_commit: 9ea736f38c802cb69724056c087e5d367b7c4bba
base_commit: 7eb172143d5508b4da468ed59ee857c6e5e01da6
branch: linux-devel/devel-hourly-20250310-000321
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250311-221634"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/sgx/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/47b2b7ca1ce4d1dbbaae0334436869c9e987d03c/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/47b2b7ca1ce4d1dbbaae0334436869c9e987d03c/vmlinuz-6.14.0-rc2-00033-g47b2b7ca1ce4
- branch=linux-devel/devel-hourly-20250310-000321
- job=/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-sgx-debian-12-x86_64-20240206.cgz-47b2b7ca1ce4-20250312-42044-1vmj20d-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-kselftests
- commit=47b2b7ca1ce4d1dbbaae0334436869c9e987d03c
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/47b2b7ca1ce4d1dbbaae0334436869c9e987d03c/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/47b2b7ca1ce4d1dbbaae0334436869c9e987d03c/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/47b2b7ca1ce4d1dbbaae0334436869c9e987d03c/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20250215.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-7ff71e6d9239-1_20250215.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250310174709/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-sgx-debian-12-x86_64-20240206.cgz-47b2b7ca1ce4-20250312-42044-1vmj20d-1.cgz"
last_kernel: 6.14.0-rc6
acpi_rsdp: '0x000f0510'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/47b2b7ca1ce4d1dbbaae0334436869c9e987d03c/vmlinuz-6.14.0-rc2-00033-g47b2b7ca1ce4"
result_root: "/result/kernel-selftests/sgx/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/47b2b7ca1ce4d1dbbaae0334436869c9e987d03c/0"

#! /db/releases/20250311223417/lkp-src/include/site/inn
dequeue_time: 2025-03-12 02:24:36.815591352 +08:00
job_state: finished
loadavg: 1.68 0.56 0.20 2/267 2185
start_time: '1741717662'
end_time: '1741717665'
version: "/lkp/lkp/.src-20250311-221634:2cbd73492cb4-dirty:e0c0ffa524a6"
